.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the SphereShape.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_SphereShape:

SphereShape
===========

**Inherits:** :ref:`Shape<class_shape>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Sphere shape for 3D collisions.

Member Variables
----------------

  .. _class_SphereShape_radius:

- :ref:`float<class_float>` **radius** - The sphere's radius. The shape's diameter is double the radius.


Description
-----------

Sphere shape for 3D collisions, which can be set into a :ref:`PhysicsBody<class_physicsbody>` or :ref:`Area<class_area>`. This shape is useful for modeling sphere-like 3D objects.

